Bug 151391 - Prompts for password for news.gmane.org
Prompts for password for news.gmane.org
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
nntp://news.gmane.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-17 10:44 EST by Braden McDaniel
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-19 12:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2005-03-17 10:44:01 EST
Description of problem:
Since upgrading to the 2.0.4 package of Evolution, I am prompted for a password
when attempting to read news.gmane.org groups. This did not happen with version
2.0.2; and AFAICT, there is no password.

Version-Release number of selected component (if applicable):
2.0.4-1

How reproducible:
Consistently.
Comment 1 Marcel Kyas 2005-03-18 04:56:12 EST
I have the same problem.
Comment 2 Braden McDaniel 2005-03-18 10:13:29 EST
The problem appears to be related to having the username field filled
in the the account settings. When emptied, things appear to start
working. Note that Evolution fills this field automatically when
creating a new account.
Comment 3 Matthew Miller 2006-07-10 18:16:16 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Braden McDaniel 2006-07-11 22:19:37 EDT
This problem is still present in FC5.
Comment 5 Matthew Miller 2006-07-11 22:24:39 EDT
thanks!
Comment 6 Dave Malcolm 2007-01-08 09:45:45 EST
Thanks for filing this bug report.  I'm sorry that it has gone for so long
without activity.

Reassigning to mbarnes.
Comment 7 Matthew Barnes 2007-01-09 12:46:16 EST
Is this problem still present in Fedora Core 6?
Comment 8 Braden McDaniel 2007-01-09 19:19:03 EST
Yes, Evolution 2.8.2.1 still automatically fills the Username field when
creating a new account.

And, yes, news servers that do not require a user name do not function as long
as that field is filled.

However, rather than prompting for a password, Evolution just indefinitely
displays "Loading" when attempting to expand the list of newsgroups under the
account name.
Comment 9 Matěj Cepl 2007-08-31 11:20:22 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 10 Braden McDaniel 2007-09-01 20:23:20 EDT
The problem described in comment #8 still exists in Evolution 2.10.3.
Comment 11 Milan Crha 2007-11-20 12:27:20 EST
I see there that "Loading..." but it's the only bug here, not the user name. The
Loading text will disappear on next start when you do Folder->Subscription. If
you cancel the password dialog, then it will work, so there is no need to change
this, I can see more people yelling why it didn't copied their user name. So let
it be as is. The pity thing is that you will need to subscribe to each directory
when you change anything on the server settings, but I really do not see
anything bad on it. I will move part about "forgotten" "Loading..." node
upstream [1].

[1] http://bugzilla.gnome.org/show_bug.cgi?id=498551
Comment 12 Milan Crha 2008-02-11 12:36:41 EST
Patch from upstream bug mentioned above is in 2.12.3. Are you fine with my above
explanation?
Comment 16 Matěj Cepl 2008-03-19 12:35:03 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.
Comment 17 Wil Cooley 2008-03-26 15:48:42 EDT
I was not the reporter, but I watched this bug because I had experienced it too.
I have just tried again and it seems to have been resolved upstream. I would
suggest that you can resolve to UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.